package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Author liu
 * @Date 2025/1/2 9:23
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.vo
 * @ClassName: ReqEventInsertVo
 * @Description: TODO
 * @Version 1.0
 */
public class ReqSafeSoundEventInsertVo {
    private String id;
    private String eventCode;
    private String eventType;

    /**
     * 纠纷大类
     */
    @NotEmpty(message = "纠纷类别不可为空！")
    private String eventCategoryId;

    /**
     * 纠纷小类
     */
    @NotEmpty(message = "纠纷类别不可为空！")
    private String eventTypeId;

    /**
     * 发生时间
     */
    private String occurrenceTime;
    private String cityId;
    private String areaId;
    private String streetId;
    private String communityId;
    private String eventSource;
    private String address;
    private String disputeDescription;
    private String eventId;
    private String isSpecialTasks;
    private String status;
    private User _user;
    @NotEmpty(message = "当事人不可为空！")
    private List<ReqSafeSoundEventUserInsertVo> userList;
    private String event_category_other_name;
    private String event_category_mini_other_name;
    private String userId;
    private int count;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }

    public String getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getOccurrenceTime() {
        return occurrenceTime;
    }

    public void setOccurrenceTime(String occurrenceTime) {
        this.occurrenceTime = occurrenceTime;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getStreetId() {
        return streetId;
    }

    public void setStreetId(String streetId) {
        this.streetId = streetId;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getEventSource() {
        return eventSource;
    }

    public void setEventSource(String eventSource) {
        this.eventSource = eventSource;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDisputeDescription() {
        return disputeDescription;
    }

    public void setDisputeDescription(String disputeDescription) {
        this.disputeDescription = disputeDescription;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public List<ReqSafeSoundEventUserInsertVo> getUserList() {
        return userList;
    }

    public void setUserList(List<ReqSafeSoundEventUserInsertVo> userList) {
        this.userList = userList;
    }

    public String getEvent_category_other_name() {
        return event_category_other_name;
    }

    public void setEvent_category_other_name(String event_category_other_name) {
        this.event_category_other_name = event_category_other_name;
    }

    public String getEvent_category_mini_other_name() {
        return event_category_mini_other_name;
    }

    public void setEvent_category_mini_other_name(String event_category_mini_other_name) {
        this.event_category_mini_other_name = event_category_mini_other_name;
    }

    public String getIsSpecialTasks() {
        return isSpecialTasks;
    }

    public void setIsSpecialTasks(String isSpecialTasks) {
        this.isSpecialTasks = isSpecialTasks;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
